summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Gerdau2018-06-09 00:14:11 +0200
committerMichael Gerdau2018-06-09 00:14:11 +0200
commitb654687d5d408401e6108366c585110909a82d10 (patch)
tree6efb571a9ce65c592923ff88cef6b8799d9304f4
parent6ebde36b6f3dbdf76f27a15b56aa12837a99fc0a (diff)
downloadaur-b654687d5d408401e6108366c585110909a82d10.tar.gz
Temporarily rewind build process changes to make it build again
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD57
2 files changed, 26 insertions, 48 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 960408ec927..476c040974c 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,19 +1,22 @@
# Generated by mksrcinfo v8
-# Tue Jun 5 20:19:26 UTC 2018
+# Fri Jun 8 22:12:01 UTC 2018
pkgbase = perl-ogg-vorbis-header
pkgdesc = An object-oriented interface to Ogg Vorbis
pkgver = 0.10
- pkgrel = 1
+ pkgrel = 2
url = https://metacpan.org/release/Ogg-Vorbis-Header
- arch = any
+ arch = i686
+ arch = x86_64
license = PerlArtistic
license = GPL
- depends = perl-inline>=0.44
- depends = perl-inline-c>=0
+ makedepends = perl-inline-c
+ depends = perl
+ depends = perl-inline
+ depends = libvorbis
options = !emptydirs
+ options = purge
source = http://search.cpan.org/CPAN/authors/id/D/DA/DAVECROSS/Ogg-Vorbis-Header-0.10.tar.gz
- md5sums = 15879884e292009f7ed641cb91cbc552
- sha512sums = 898f5646085db09abecaa2d1b7bcd361a83bbedf596037e70ec9d3c05051cf10a6940a181af428a2f89124e4e65253f46a0672e61f445451a718703f3dc27abe
+ sha256sums = 205780fcc2d18fe9dde3204c549cb50f380bd2474edc78dd539df10fc95f125e
pkgname = perl-ogg-vorbis-header
diff --git a/PKGBUILD b/PKGBUILD
index 70d4612f823..de0ed8f1399 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,51 +2,26 @@
# Maintainer: omangold
# Maintainer: Daenyth
# Contributor: Georg Grabler (STiAT) <ggrabler@gmail.com>
-# Generator : CPANPLUS::Dist::Arch 1.32
-pkgname='perl-ogg-vorbis-header'
-pkgver='0.10'
-pkgrel='1'
+pkgname=perl-ogg-vorbis-header
+pkgver=0.10
+pkgrel=2
pkgdesc="An object-oriented interface to Ogg Vorbis"
-arch=('any')
-license=('PerlArtistic' 'GPL')
-options=('!emptydirs')
-depends=('perl-inline>=0.44' 'perl-inline-c>=0')
-makedepends=()
url='https://metacpan.org/release/Ogg-Vorbis-Header'
-source=('http://search.cpan.org/CPAN/authors/id/D/DA/DAVECROSS/Ogg-Vorbis-Header-0.10.tar.gz')
-md5sums=('15879884e292009f7ed641cb91cbc552')
-sha512sums=('898f5646085db09abecaa2d1b7bcd361a83bbedf596037e70ec9d3c05051cf10a6940a181af428a2f89124e4e65253f46a0672e61f445451a718703f3dc27abe')
-_distdir="Ogg-Vorbis-Header-0.10"
-
-build() {
- ( export PERL_MM_USE_DEFAULT=1 PERL5LIB="" \
- PERL_AUTOINSTALL=--skipdeps \
- PERL_MM_OPT="INSTALLDIRS=vendor DESTDIR='$pkgdir'" \
- PERL_MB_OPT="--installdirs vendor --destdir '$pkgdir'" \
- MODULEBUILDRC=/dev/null
-
- cd "$srcdir/$_distdir"
- /usr/bin/perl Makefile.PL
- make
- )
-}
+license=('PerlArtistic' 'GPL')
+depends=(perl perl-inline libvorbis)
+makedepends=(perl-inline-c)
+arch=(i686 x86_64)
+options=(!emptydirs purge)
-check() {
- cd "$srcdir/$_distdir"
- ( export PERL_MM_USE_DEFAULT=1 PERL5LIB=""
- make test
- )
-}
+source=(http://search.cpan.org/CPAN/authors/id/D/DA/DAVECROSS/Ogg-Vorbis-Header-$pkgver.tar.gz)
+sha256sums=('205780fcc2d18fe9dde3204c549cb50f380bd2474edc78dd539df10fc95f125e')
+_distdir=Ogg-Vorbis-Header-$pkgver
package() {
- cd "$srcdir/$_distdir"
- make install
- find "$pkgdir" -name .packlist -o -name perllocal.pod -delete
+ cd $srcdir/$_distdir
+ perl Makefile.PL || return 1
+ make || return 1
+ make test || return 1
+ make DESTDIR=$pkgdir install || return 1
}
-
-# Local Variables:
-# mode: shell-script
-# sh-basic-offset: 2
-# End:
-# vim:set ts=2 sw=2 et: